Package org.eclipse.m2m.atl.engine.vm

# Class ASMWriter

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ASMWriter

Direct Known Subclasses:
  `ASMTextualWriter`, `ASMXMLWriter`

public abstract class ASMWriter extends Object

## Constructor Summary

Constructors
Constructor
Description
`ASMWriter()`

## Method Summary

Modifier and Type
Method
Description
`protected List`
`getConstantPool()`
`protected int`
`getCPIndex(String s)`
`abstract void`
`print(ASM asm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ASMWriter

public ASMWriter()

## Method Details

### print

public abstract void print(ASM asm)

### getCPIndex

protected int getCPIndex(String s)

### getConstantPool

protected List getConstantPool()